IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_g_all_depart]') AND type = 'P')
DROP PROCEDURE [dbo].[mps_g_all_depart]
GO
CREATE procedure [dbo].[mps_g_all_depart](
@cmpid int 
)
as 
begin
--分公司所有部门
set nocount on
select distinct dp_dpstdid dp_id , dp_dpstdid , dp_depart,dp_fullname ,dp_level , dp_order 
from mps_depart 
where dp_cmpid=@cmpid and  dp_fullname>'' and dp_depart>''  and dp_isdepart=0 
order by dp_level , dp_order 
set nocount off
end